node-ast-util_0.6.0-2_all.deb


Advertisement

Description

node-ast-util - Utilities for AST transformers

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename node-ast-util_0.6.0-2_all.deb
Package name node-ast-util
Package version 0.6.0
Package release 2
Package architecture all
Package type deb
Category javascript
Homepage https://github.com/eventualbuddha/ast-util
License -
Maintainer Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Download size 13.73 KB
Installed size 66.00 KB
These methods are useful for source transformers such as transpilers and
macros, as they often have to insert variables into scopes and replace
expressions.
Node.js is an event-based server-side JavaScript engine.

Alternatives

Package Version Architecture Repository
node-ast-util_0.6.0-2_all.deb 0.6.0 all Debian Main
node-ast-util - - -

Requires

Name Value
node-ast-types >= 0.6.7
node-private >= 0.1.6
nodejs -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package node-ast-util_0.6.0-2_all.deb
Source Package node-ast-util

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install node-ast-util deb package:
    # sudo apt-get install node-ast-util

Files

Path
/usr/lib/nodejs/ast-util/package.json
/usr/lib/nodejs/ast-util/bin/make-builder
/usr/lib/nodejs/ast-util/lib/index.js
/usr/lib/nodejs/ast-util/lib/replacement.js
/usr/lib/nodejs/ast-util/lib/types.js
/usr/lib/nodejs/ast-util/lib/helpers/get.js
/usr/lib/nodejs/ast-util/lib/helpers/getArrayIterator.js
/usr/lib/nodejs/ast-util/lib/helpers/getIterator.js
/usr/lib/nodejs/ast-util/lib/helpers/getIteratorRange.js
/usr/share/doc/node-ast-util/README.md.gz
/usr/share/doc/node-ast-util/changelog.Debian.gz
/usr/share/doc/node-ast-util/copyright
/usr/share/doc/node-ast-util/examples/swap-macro.js

Changelog

2018-10-11 - Julien Puydt <jpuydt@debian.org>
node-ast-util (0.6.0-2) unstable; urgency=medium
* Refresh packaging:
- Use my debian.org mail address.
- Bump dh compat to 11.
- Bump std-ver to 4.2.1.
- Bump d/watch to version 4.
- Move from section web to section javascript.
- Point Vcs-* fields to salsa.
- Run tests during the build (checking DEB_BUILD*).
- Run testsuite in autopkgtest.
- Drop all patches (now unneeded).
2016-07-31 - Julien Puydt <julien.puydt@laposte.net>
node-ast-util (0.6.0-1) unstable; urgency=low
* Initial release (Closes: #802441)

See Also

Package Description
node-astw_2.2.0-2_all.deb walk the ast with references to parent nodes
node-async-each_1.0.1-1_all.deb async parallel forEach / map function for JavaScript
node-async-stacktrace_0.0.2-3_all.deb Improve Node.js stacktraces and make it easier to handle errors
node-async_0.8.0-3_all.deb functions and patterns for asynchronous code - Node.js
node-asynckit_0.4.0-2_all.deb Minimal async jobs utility library, with streams support
node-auto-bind_1.2.0-1_all.deb Automatically bind methods to their class instance
node-autolinker_1.8.3+dfsg-1_all.deb Utility for automatically linking URLs, emails, etc. in text
node-autoprefixer_8.6.5-2_all.deb add vendor prefixes to CSS rules
node-autosize_4.0.2~dfsg1-3_all.deb script to automatically adjust textarea height to fit text - Javascript
node-aws-sign2_0.7.1-1_all.deb AWS signing in JavaScript
node-aws4_1.8.0-1_all.deb Signs and prepares requests using AWS Signature Version 4
node-axios_0.17.1+dfsg-2_all.deb Promise based HTTP client for the browser and node.js
node-babel-cli_6.26.0+dfsg-3_all.deb Babel command line
node-babel-code-frame_6.26.0+dfsg-3_all.deb generate errors that contain a code frame that point to source locations
node-babel-core_6.26.0+dfsg-3_all.deb Babel compiler core
Advertisement
Advertisement